use std::io;
use std::io::Write;

use colorize::AnsiColor;

pub fn question(question: String) -> String {
    let mut answer = String::new();

    print!("{} {}", ">".yellow(), question);
    io::stdout().flush().unwrap();
    io::stdin().read_line(&mut answer)
        .expect("Failed to get answer for question.");

    answer.trim().parse().unwrap()
}

pub fn question_yn(question: String) -> bool {
    let mut answer = String::new();

    print!("{} {}", ">".yellow(), question);
    io::stdout().flush().unwrap();
    io::stdin().read_line(&mut answer)
        .expect("Failed to get answer.");

    answer = answer.trim().parse().unwrap();
    answer.contains("y")
}

pub fn question_ny(question: String) -> bool {
    let mut answer = String::new();

    print!("{} {}", ">".yellow(), question);
    io::stdout().flush().unwrap();
    io::stdin().read_line(&mut answer)
        .expect("Failed to get answer.");

    answer = answer.trim().parse().unwrap();
    answer.contains("n")
}
